org.glassfish.jersey.server.spi

## Interface ContainerResponseWriter.TimeoutHandler

Enclosing interface:
  ContainerResponseWriter

    public static interface ContainerResponseWriter.TimeoutHandler

Time-out handler can be registered when the container response writer gets suspended. Should the suspend operation time out, the container is responsible for invoking the `onTimeout(ContainerResponseWriter)` callback method to get the response that should be returned to the client.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onTimeout(ContainerResponseWriter responseWriter)` Method is called, when `ContainerResponseWriter.suspend(...)` operation times out.

### Method Detail

#### onTimeout

    void onTimeout(ContainerResponseWriter responseWriter)

Method is called, when `ContainerResponseWriter.suspend(...)` operation times out. The custom time-out handler implementation is responsible for making sure a (time-out) response is written to the context and that the container context is properly closed.

Parameters:
  `responseWriter` - suspended container response writer that timed out.